System.register(["src/components/halo/lively-halo-item.js"], function (_export, _context) {
  "use strict";

  var HaloItem, HaloMenuItem, __SystemJSRewritingHack;
  _export("default", void 0);
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_halo_lively_halo_menu_item_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_halo_lively_halo_menu_item_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_halo_lively_halo_menu_item_js, "HaloItem", {
        get() {
          return HaloItem;
        },
        set(thisIsVererySecretVariableName) {
          HaloItem = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("default", HaloMenuItem = class HaloMenuItem extends HaloItem {
        onClick(evt) {
          var inspectTarget = window.that;
          lively.openContextMenu(document.body, evt, inspectTarget);
          this.hideHalo();
        }
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_halo_lively_halo_menu_item_js, "HaloMenuItem", {
        get() {
          return HaloMenuItem;
        },
        set(thisIsVererySecretVariableName) {
          _export("default", HaloMenuItem = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});